const low = require('lowdb')
const _   = require('underscore')

exports.create = name => {
  const db = low(name + '.json')
  db.defaults({ data: [] }).write()

  const push = data => {
    db.get('data').push(data).write()
  }

  const update = (target, replace) => {
    db.get('data').find(target).assign(replace).write()
  }

  const find = target => {
    return db.get('data').find(target).value()
  }

  const remove = target => {
    db.get('data').remove(target).write()
  }
  
  return { push, update, find, remove }
}